<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.simuwang</groupId>
        <artifactId>data-daq</artifactId>
        <version>1.0.0</version>
    </parent>

    <artifactId>service-deploy</artifactId>
    <version>1.0.0</version>
    <name>service-deploy</name>
    <description>数据采集系统入口</description>
    <packaging>jar</packaging>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-undertow</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-aop</artifactId>
        </dependency>

        <dependency>
            <groupId>com.simuwang</groupId>
            <artifactId>service-base</artifactId>
        </dependency>
        <dependency>
            <groupId>com.simuwang</groupId>
            <artifactId>service-calc</artifactId>
        </dependency>
        <dependency>
            <groupId>com.simuwang</groupId>
            <artifactId>service-manage</artifactId>
        </dependency>
        <dependency>
            <groupId>com.simuwang</groupId>
            <artifactId>service-daq</artifactId>
        </dependency>

        <!-- JUnit 5 -->
        <dependency>
            <groupId>org.junit.jupiter</groupId>
            <artifactId>junit-jupiter-engine</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
            <exclusions>
                <exclusion>
                    <groupId>org.junit.vintage</groupId>
                    <artifactId>junit-vintage-engine</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-devtools</artifactId>
            <scope>runtime</scope>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-configuration-processor</artifactId>
            <optional>true</optional>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.graalvm.buildtools</groupId>
                <artifactId>native-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <mainClass>com.simuwang.Application</mainClass> <!-- 指定主类 -->
                    <layout>JAR</layout> <!-- 可选，指定打包布局，默认为ZIP -->
                    <executable>true</executable> <!-- 使Jar可执行 -->
                    <includeSystemScope>true</includeSystemScope> <!-- 包括system范围内的依赖 -->
<!--                    <assembly>-->
<!--                        <descriptorRef>jar-with-dependencies</descriptorRef>-->
<!--                        <archive>-->
<!--                            <manifest>-->
<!--                                <mainClass>com.simuwang.Application</mainClass> &lt;!&ndash; 再次指定主类 &ndash;&gt;-->
<!--                            </manifest>-->
<!--                        </archive>-->
<!--                    </assembly>-->
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
